Chargement de spdep

R et systèmes d'exploitation, configuration de R, gestion de la mémoire, construction des packages, interfaces entre R et d'autres logiciels, éditeurs pour R

Modérateur : Groupe des modérateurs

daugrois
Messages : 3
Enregistré le : 17 Déc 2004, 11:45

Chargement de spdep

Messagepar daugrois » 24 Fév 2005, 15:44

bonjour,

je cherche comment charger le modul spdep pour traiter les données spatial.
merci d'avance
Jean heinrich D

Tillard
Messages : 87
Enregistré le : 17 Déc 2004, 10:32

installation du package "spdep"

Messagepar Tillard » 25 Fév 2005, 08:49

bonjour
il faut etre connecté a internet:
puis lancer R (j'ai testé avec la version 2.0.1)
onglet "packages" du menu,
option "install packages from CRAN"
choisir spdep dans la liste, OK
a la fin, dans la fenetre de commande,choisir de virer les fichiers d'install (y)

library(spdep)

cordialement
Emmanuel Tillard
UMR ERRC (Elevage des Ruminants en Regions Chaudes)
CIRAD - St PIERRE (La Réunion)
tel: 02 62 49 92 54

daugrois
Messages : 3
Enregistré le : 17 Déc 2004, 11:45

spdep

Messagepar daugrois » 25 Fév 2005, 16:26

merci
j'ai du passer de la version 1.8 à la version 2.0.1 pour acceder au package spdep.

Renaud Lancelot
Messages : 2484
Enregistré le : 16 Déc 2004, 08:01
Contact :

Re: spdep

Messagepar Renaud Lancelot » 27 Fév 2005, 18:03

daugrois a écrit :merci
j'ai du passer de la version 1.8 à la version 2.0.1 pour acceder au package spdep.


C'est vrai pour tous les packages: il y a eu de grosses modifications dans la structure de R lors du passage à la version 2.0.0, et aucun package construit avec une version antérieure de R ne fonctionne avec R >= 2.0.0.

Amicalement,

Renaud

François Bonnot
Messages : 461
Enregistré le : 10 Nov 2004, 15:19
Contact :

Messagepar François Bonnot » 01 Mar 2005, 06:49

Pour info, même spdep construit avec la version 2.0.0 de R ne fonctionne pas avec la version 2.0.1, d'ailleurs il semble que les modules dépendants ne sont pas les mêmes. Pour éviter ces désagréments, lorsque j'installe une nouvelle version de R j'essaye d'installer en même temps les modules dont je pense avoir besoin à court terme.


Retourner vers « Archives : Environnement de R »

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité